<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6cc64d37551c $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-25 11:32 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software, you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_customer_menu{

	public static function getMenu(): we_gui_menu{
		return new we_gui_menu([
				(new we_gui_menuTop(g_l('modules_customer', '[menu_new]'), 'fa fa-plus-circle', [we_base_perm::CUSTOMER_NEW]))
				->set([
					new we_gui_menuEntry(g_l('modules_customer', '[menu_customer]'), ['we_customer_new'], [we_base_perm::CUSTOMER_NEW])
				]),
				(new we_gui_menuTop(g_l('modules_customer', '[menu_customer]'), 'fa fa-users'))
				->set([
					new we_gui_menuEntry(g_l('modules_customer', '[menu_save]'), ['we_customer_save'], [we_base_perm::CUSTOMER_EDIT, we_base_perm::CUSTOMER_NEW]),
					new we_gui_menuEntry(g_l('modules_customer', '[menu_delete]'), ['we_customer_delete'], [we_base_perm::CUSTOMER_DELETE]),
					new we_gui_menuSeparator(),
					(new we_gui_menuSub('admin', g_l('modules_customer', '[menu_admin]'), [we_base_perm::CUSTOMER__SHOW_ADMIN]))
					->append(new we_gui_menuEntry(g_l('modules_customer', '[field_admin]') . '&hellip;', ['show_admin'], [we_base_perm::CUSTOMER__SHOW_ADMIN]))
					->append(new we_gui_menuEntry(g_l('modules_customer', '[sort_admin]') . '&hellip;', ['show_sort_admin'], [we_base_perm::CUSTOMER__SHOW_ADMIN])),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_customer', '[import]') . '&hellip;', ['import_customer'], [we_base_perm::CUSTOMER__SHOW_ADMIN]),
					new we_gui_menuEntry(g_l('modules_customer', '[export]') . '&hellip;', ['export_customer'], [we_base_perm::CUSTOMER__SHOW_ADMIN]),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_customer', '[search]') . '&hellip;', ['show_search']),
					new we_gui_menuEntry(g_l('modules_customer', '[settings]') . '&hellip;', ['show_customer_settings']),
					new we_gui_menuSeparator(),
					new we_gui_menuEntry(g_l('modules_customer', '[menu_exit]'), ['exit_customer'])
				])
		]);
	}

}
