<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: cb5ec9e3b3e0 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-07-03 22:30 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_rpcCmd_uploadProcess extends we_rpc_cmd{

	function execute(): we_rpc_response{
		$fileinputName = we_base_request::string('fileinputName', '');
		$fileuploadRespClass = we_base_request::string('weResponseClass', 'we_fileupload_resp_base');
		$fileupload_resp = new $fileuploadRespClass($fileinputName);
		try{
			$this->resp->setData('data', $fileupload_resp->processRequest());
		} catch (Throwable $e){
			$this->resp->setData('data', ['status' => 'failure', 'message' => $e->getMessage()]);
		}

		return $this->resp;
	}

}
