<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_description extends we_weTag_tag{

	public static function parse(array $attribs, string $content): string{
		$attribs['_type'] = 'stop';
		return '<?php ' . we_weTag_parser::printTag('description', ['_type' => 'start']) . ';?>' . $content . '<?= ' . we_weTag_parser::printTag('description', $attribs) . ';?>';
	}

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		switch(self::getAttribute('_type', $attribs, '', we_base_request::STRING)){
			case 'start':
				ob_start();
				return '';
			case 'stop':
				$content = ob_get_clean() ?: '';
		}

		$max = self::getAttribute('max', $attribs, 0, we_base_request::INT);

		$content = we_base_WE::$mainDoc['doc']->getElementS(we_contents_root::DESCRIPTION_FIELD, $content, true);

		if(we_base_WE::$editmode){
			//set meta data & exit
			$GLOBALS['meta'][we_contents_root::DESCRIPTION_FIELD]['default'] = $content;
			return '';
		}

		$attribs['name'] = 'description';
		$content = self::getAttribute('htmlspecialchars', $attribs, false, we_base_request::BOOL) ? htmlspecialchars(strip_tags($content)) : strip_tags($content);
		$attribs['content'] = str_replace('"', '\'', ($max ? self::cutText($content, $max, true) : $content));
		return empty($attribs['content']) ? '' : (self::htmlTag('meta', self::removeAttribs($attribs, ['htmlspecialchars', 'max', '_type'])) . "\n");
	}

}
