<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifWritten extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$type = (self::getAttribute('type', $attribs, '', we_base_request::STRING) ?: self::getAttribute('var', $attribs, 'document', we_base_request::STRING)) ?: self::getAttribute('doc', $attribs, 'document', we_base_request::STRING);
		switch($type){
			case 'customer':
				return we_tag_saveRegisteredUser::$status === we_customer_customer::PWD_ALL_OK;
			case 'shop':
				return we_tag_writeShopData::$status === true;
			default:
				$name = self::getAttribute('formname', $attribs, (we_tag_form::$name ?: we_base_constants::DEFAULT_FORM), we_base_request::STRING);
				//we need isset if we:write was not called before
				return isset(we_tag_write::$status[$type][$name]) && empty(we_tag_write::$status[$type][$name]);
		}
	}

}
