<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_customerResetPassword extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Module = we_modules_info::CUSTOMER;

		$required = new we_weTag_textAttribute($this, 'required', '');
		$loadFields = new we_weTag_textAttribute($this, 'loadFields', '');
		$customerEmailField = new we_weTag_textAttribute($this, 'customerEmailField', '');
		$expireToken = new we_weTag_textAttribute($this, 'expireToken', '');
		$pwdVal = new we_weTag_textAttribute($this, 'passwordRule', '');

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('direct', false, '', [$required, $loadFields, $pwdVal], [$required]),
			new we_weTag_option('email', false, '', [$required, $customerEmailField, $expireToken, $loadFields, $pwdVal], [$required, $customerEmailField]),
			new we_weTag_option('emailPassword', false, '', [$required, $customerEmailField, $expireToken, $loadFields, $pwdVal], [$required]),
			new we_weTag_option('resetFromMail', false, '', [$required, $pwdVal], [$required]),
			], true, '');
	}

}
