<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_delete extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;

		$id = new we_weTag_textAttribute($this, 'id', '', false, '', '', 'number');
		$doctype = new we_weTag_sqlRowAttribute($this, 'doctype', '', DOC_TYPES_TABLE, false, 'Text');
		$docTyppeIds = new we_weTag_sqlRowAttribute($this, 'doctypeIDs', '', DOC_TYPES_TABLE, false);
		$classid = new we_weTag_selectorAttribute($this, 'classid', '', OBJECT_TABLE, we_base_ContentTypes::OBJECT, false, we_modules_info::OBJECT);
		$pid = new we_weTag_selectorAttribute($this, 'pid', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, false, '');
		$pidO = new we_weTag_selectorAttribute($this, 'pid', '', OBJECT_FILES_TABLE, we_weTag_selectorAttribute::FOLDER, false, we_modules_info::OBJECT);
		$protected = new we_weTag_selectAttribute($this, 'protected', '', we_weTag_selectAttribute::getTrueFalse());
		$admin = new we_weTag_textAttribute($this, 'admin', '', false, '');
		$forceedit = new we_weTag_selectAttribute($this, 'forceedit', '', we_weTag_selectAttribute::getTrueFalse());
		$mail = new we_weTag_textAttribute($this, 'mail', '', false, '');
		$mailfrom = new we_weTag_textAttribute($this, 'mailfrom', '', false, '');
		$userid = new we_weTag_textAttribute($this, 'userid', '', false, '', '', 'number');

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('document', false, '', [
				$doctype, $docTyppeIds,
				$pid, $userid, $admin, $forceedit, $mail, $mailfrom,
				$protected, $id
				], []),
			new we_weTag_option('object', false, '', [$classid, $userid, $admin, $forceedit, $mail, $mailfrom, $pidO, $protected, $id], [])], false, '');

		$this->Attributes = [$doctype, $docTyppeIds, $classid, $pid, $pidO, $protected, $admin, $forceedit, $mail, $mailfrom, $userid, $id];
	}

}
