<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 20cc950062c3 $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-10-30 15:34 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_validation_service{
	/** @var int */
	var $id;

	/** @var string */
	var $art; //  custom | default

	/** @var string */
	var $category; //  xhtml | link | css | accessibility

	/** @var string */
	var $name;

	/** @var string */
	var $host;

	/** @var string */
	var $path;

	/** @var string */
	var $method;

	/** @var string */
	var $varname;

	/** @var string */
	var $checkvia;

	/** @var string */
	var $additionalVars;

	/** @var string */
	var $ctype;

	/** @var string */
	var $fileEndings;

	/** @var bool */
	var $active = true;

	public function __construct(int $id = 0, string $art = '', string $category = '', string $name = '', string $host = '', string $path = '', string $method = '', string $varname = '', string $checkvia = '', string $ctype = '', string $additionalVars = '', string $fileEndings = '', bool $active = true){

		$this->id = $id; //  id to edit this service

		$this->art = $art;
		$this->category = $category;

		$this->name = $name;
		$this->host = $host;
		$this->path = $path;
		$this->method = $method;
		$this->varname = $varname;
		$this->checkvia = $checkvia;
		$this->ctype = $ctype;
		$this->additionalVars = $additionalVars;

		$this->fileEndings = $fileEndings;

		$this->active = $active;
	}

	function getName(): string{
		return $this->art . '_' . $this->id;
	}

}
