<?php

declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: bcf872aa543f $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-12-01 15:30 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
defined('NO_SESS') || define('NO_SESS', 1);
defined('FROM_WE_SHOW_DOC') || define('FROM_WE_SHOW_DOC', 1);
require_once('we.inc.php');
if(MAINTENANCE_MODE){
	switch(MAINTENANCE_MODE){
		case we_base_constants::MAINTENANCE_FRONTEND:
		case we_base_constants::MAINTENANCE_ALL:
			if(MAINTENANCE_DOCUMENT && file_exists(MAINTENANCE_DOCUMENT)){
				readfile(MAINTENANCE_DOCUMENT);
				exit();
			}
			echo we_html_tools::getHtmlTop('Wartungsmodus / Maintenance mode', '<meta http-equiv="refresh" content="300">', we_html_element::body(
							[],
							we_html_element::h(1, 'Wartungsmodus / Maintenance mode') .
							we_html_element::p([], 'Derzeit finden Warungsarbeiten am System statt, wir bitten um Verständnis.') .
							we_html_element::p([], 'We are maintaining our system, please stand by.')
			));
			exit();
	}
}

if(!we_base_WE::$mainDoc['id'] && isset($_REQUEST[WEOBJ_PARAM])){ //object
	$tid = we_base_showDocument::getWEDocObj();
	if(!we_base_WE::$we_doc || !we_base_WE::$we_obj){
		return;
	}

	if(!empty($_REQUEST['we_objectTID']) && !empty($_REQUEST['jwt'])){
		try{
			$data = we_helpers_jwt::decode(we_base_request::string('jwt'), sha1(SECURITY_ENCRYPTION_KEY));
			if($data[WEOBJ_PARAM] == we_base_WE::$we_obj->ID){
				$tid = (int) $data['we_objectTID'];
			}
		}catch(Exception $e){

		}
	}

	try{
		we_base_showDocument::$include = we_base_showDocument::prePareIncObj(we_base_WE::getWeObj(), $tid);
		unset($tid);
		//	If in webEdition, parse the document !!!!
		if(we_base_WE::$we_doc->InWebEdition){ //	In webEdition, parse the file.
			echo we_gui_SEEM::parseDocument(we_base_showDocument::$include->show());
			return;
		} //	Not in webEdition, just show the file.
		echo we_base_showDocument::$include->show();
		we_base_showDocument::postInc();
	}catch(we_exception_file $e){
		echo 'Sorry, we are unable to locate your requested Page.';
		exit();
	}
} else {
	unset($_REQUEST['we_cmd'][4]);

	if(!empty($_REQUEST['pv_id']) && !empty($_REQUEST['pv_tid']) && !empty($_REQUEST['jwt'])){
		//don't let anyone manipulate tid
		try{
			$data = we_helpers_jwt::decode(we_base_request::string('jwt'), sha1(SECURITY_ENCRYPTION_KEY));
			$_REQUEST['we_cmd'] = [
				1 => $data['pv_id'],
				4 => $data['pv_tid'],
			];
			unset($data, $_REQUEST['pv_id'], $_REQUEST['pv_tid']);
		}catch(Exception $e){

		}
	}

	try{
		//  Diese we_cmds werden auf den Seiten gespeichert und nicht übergeben!!!!!
		//  Sie kommen von showDoc.php
		$doc = we_base_showDocument::getWEDoc(we_base_request::int('we_cmd', 0, 1), we_base_request::int('we_cmd', 0, 4));
		if($doc instanceof we_document_webEdition){
			we_base_WE::setWeDoc($doc);
		}
		assert($doc instanceof we_document_base);
		$we_include = we_base_showDocument::prePareInc($doc);
		if($we_include instanceof we_editor_showTempDocumentData){
			include($we_include->getFile());
		} else {
			$we_include->show();
		}
		we_base_showDocument::postInc();
	}catch(we_exception_base $e){
		exit('Nothing to include ...');
	}
}