/* global WE, top */

/**
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';
WE().util.loadConsts(document, 'g_l.category');
var hot = false;

function doUnload() {
	WE().layout.jsWindow.prototype.closeAll(window);
}

function setHot() {
	hot = true;
}

function unsetHot(){
	hot = false;
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
		url = WE().consts.dirs.WEBEDITION_DIR + 'we_cmd.php?we_cmd[0]=we_showMod&mod=category',
		cmds;

	switch (args[0]) {
		case 'unsetHot':
			unsetHot();
			break;
		case 'setTab':
			top.content.activ_tab = args[1];
			break;
		case 'confirm_we_category_delete':
			WE().util.showConfirm(window, "", WE().util.sprintf(WE().consts.g_l.category.delete_cat, args[1]), ['we_category_delete']);
			break;
		case 'we_category_delete':
			top.content.editor.edbody.we_form.cmd.value = args[0];
			top.content.editor.edbody.submitForm(url + '&pnt=edbody');
			break;
		case 'we_category_new':
			/*if (top.content.hot) {
			 top.content.editor.edbody.askForSaveOrRefireCmd(args);
			 break;
			 }*/
			cmds = '&cmd=' + args[0];
			top.content.editor.edheader.location = url + '&pnt=edheader' + cmds;
			top.content.editor.edbody.location = url + '&pnt=edbody' + cmds;
			top.content.editor.edfooter.location = url + '&pnt=edfooter' + cmds;
			break;
		case 'we_category_save':
			we_cmd('unsetHot');
			top.content.editor.edbody.we_form.cmd.value = args[0];
			top.content.editor.edbody.submitForm(url + '&pnt=edbody');
			break;
		case 'display_item':
			cmds = '&cmd=' + args[0] + '&we_cmd[1]=' + args[1];
			top.content.editor.edbody.focus();
			top.content.editor.edheader.location = url + '&pnt=edheader' + cmds;
			top.content.editor.edbody.location = url + '&pnt=edbody' + cmds;
			top.content.editor.edfooter.location = url + '&pnt=edfooter' + cmds;
			break;

		default:
			top.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}