/* global tinymce */

/**
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

(function () {
	var webreak = (function () {
		var global = tinymce.util.Tools.resolve('tinymce.PluginManager');
		var insertBreak = function (ed) {
			ed.selection.setContent(ed.dom.createHTML('br'));
		};

		var Commands = {register: function (editor) {
				editor.addCommand('mceWebreak', function () {
					insertBreak(editor);
				});
			}};

		var Buttons = {register: function (editor) {
				editor.ui.registry.addToggleButton('webreak', {
					text: '&lt;BR/&gt;',
					tooltip: WE().consts.g_l.tinyMceTranslationObject.tt_webreak,
					onAction: function () {
						editor.execCommand('mceWebreak');
					},
					onSetup: function (buttonApi) {
						editor.weControlManager.register('button', 'webreak', buttonApi);
					}
				});
			}};

		global.add('webreak', function (editor) {
			Commands.register(editor);
			Buttons.register(editor);
			return {};
		});

		function Plugin() {}

		return Plugin;

	}());
})();